Bug 525073 - cannot delete storage pool with virsh pool-delete
cannot delete storage pool with virsh pool-delete
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Allan
Fedora Extras Quality Assurance
:
Depends On: 496579
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-23 05:18 EDT by xingzhao
Modified: 2016-04-26 22:46 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 496579
Environment:
Last Closed: 2010-03-16 11:28:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xingzhao 2009-09-23 05:18:05 EDT
+++ This bug was initially created as a clone of Bug #496579 +++

Description of problem:
An exception throw when delete an inactive storage pool.

Version-Release number of selected component (if applicable):
libvirt-0.7.1-4.fc12.x86_64
qemu-kvm-0.10.91-0.5.rc1.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Create a storage pool
2. Inactive the pool
3. Remove the pool
  
Actual results:
# virsh pool-delete test
error: Failed to delete pool test
error: cannot unlink path '/pool': Is a directory

Expected results:
storage pool can be deleted successfully.
Comment 1 Mark McLoughlin 2009-10-02 05:26:34 EDT
dallan: maybe you wouldn't mind taking a look at this too?
Comment 3 Bug Zapper 2010-03-15 08:52:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2010-03-16 11:28:44 EDT
This has been fixed for a few months upstream, and should be queued for F13. Closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.